import requests
url = "https://tubeasiancams.com/embed/player-6w.php?token=ez0SLbAi85b0Oje3m7YA75ilxdtoQzrHN%2B3Be1YMFqoCMLLWBmQE%2BOKohasr08C61WCxSCFrujvs1q5ifTyvyuo4Xq7uLVzP2Ypc7TrRymDYu8cqs%2BepKqkIzh8caDxZDRXedt9%2B3JXNxAFDfsEw%2Fw%3D%3D&poster=https://tubeasiancams.com/wp-content/uploads/2025/10/52r85ux6mdtf-640x360.jpg&id=231245"

data = requests.get(url)

with open("html.text", 'w', encoding='utf-8') as f:
    f.write(data.text)